JUCE: Slider::Listener Class Reference

JUCE

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Slider::Listener Class Referenceabstract
juce_gui_basics » widgets

A class for receiving callbacks from a Slider. More...

`#include <juce_Slider.h>`

Inheritance diagram for Slider::Listener:

## Public Member Functions
virtual | ~Listener ()=default
| Destructor.
virtual void | sliderValueChanged (Slider *slider)=0
| Called when the slider's value is changed.
virtual void | sliderDragStarted (Slider *)
| Called when the slider is about to be dragged.
virtual void | sliderDragEnded (Slider *)
| Called after a drag operation has finished.

## Detailed Description

A class for receiving callbacks from a Slider.

To be told when a slider's value changes, you can register a Slider::Listener object using Slider::addListener().

See also
  Slider::addListener, Slider::removeListener

## Constructor & Destructor Documentation

## ◆ ~Listener()

virtual Slider::Listener::~Listener | ( |  | ) |
| virtualdefault

Destructor.

## Member Function Documentation

## ◆ sliderValueChanged()

virtual void Slider::Listener::sliderValueChanged | ( | Slider * | slider | ) |
| pure virtual

Called when the slider's value is changed.

This may be caused by dragging it, or by typing in its text entry box, or by a call to Slider::setValue().

You can find out the new value using Slider::getValue().

See also
  Slider::valueChanged

## ◆ sliderDragStarted()

virtual void Slider::Listener::sliderDragStarted | ( | Slider * |  | ) |
| virtual

Called when the slider is about to be dragged.

This is called when a drag begins, then it's followed by multiple calls to sliderValueChanged(), and then sliderDragEnded() is called after the user lets go.

See also
  sliderDragEnded, Slider::startedDragging

## ◆ sliderDragEnded()

virtual void Slider::Listener::sliderDragEnded | ( | Slider * |  | ) |
| virtual

Called after a drag operation has finished.

See also
  sliderDragStarted, Slider::stoppedDragging

The documentation for this class was generated from the following file:

- juce_Slider.h